uniform sampler2D tex0;
uniform sampler2D tex1;
uniform float time;
 
void main() {
	vec4 col;
	if (time < 0.5)
		col = 100 * time * texture2D(tex0, gl_TexCoord[0].st);
	else
		col = 100 * (1.0-time) * texture2D(tex1, gl_TexCoord[0].st);
	gl_FragColor = col;
}
